extends Resource
class_name GameSave

var savePath = "user://gamesave.tres"
@export var lang = "N"
@export var langList = ["ja", "en", "zh_TW", "zh_CN"]
@export var bestScore = 0
@export var coin = 0
@export var megamis = [2,0,0,0,0]
@export var bars = [2,0,0,2,0,2,0,0,2,0,2,0,2,0,0,2,0,2,0,2,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]
@export var heads = [2,0,0,0,0]
@export var vol = [.5, .75, .75]
@export var fscreen = false

func LoadGame(gameSave):
	if ResourceLoader.exists(savePath):
		var save = ResourceLoader.load(savePath)
		if save is GameSave: return load(savePath)
	return gameSave

func SaveGame(gameSave):
	ResourceSaver.save(gameSave, savePath)
	TranslationServer.set_locale(gameSave.lang)
